
ISIS - Feature #801

hidtmgen upgrade request

2012-04-23 12:47 PM - Tammy Becker

Status: Closed   

Priority: Normal   

Assignee: Jean Backer   

Category: Applications   

Target version: 3.4.13 (FY16 R3 2016-08-31 Aug)   

Impact: Backwards Compatibility Issue:  The

command line parameters were changed

to generalize this program's capabilities,

as requested by the HiRISE mission

representatives. This will impact

processing scripts/pipelines.

Software Version:  

Description

External Post:

https://isis.astrogeology.usgs.gov/IsisSupport/index.php/topic,3425.0.html

Hello,

I would like to request an upgrade to hidtmgen. 

Currently it expects a set of files that includes one DTM file and 4 orthoimage files.

In some cases, there may be one DTM and more or less than 4 orthoimages. 

There is also the case where there are only orthoimages. These are associated with the DTM on which they were orthorectified in the

SOURCE_PRODUCT_ID keyword. Therefore, along with this upgrade, I also request a change to the input parameter pvl to allow

this keyword to be specified. For example, the source product IDs for the DTM are the HiRISE observation IDs of the input stereo

pair. For each orthoimage associated with a given DTM, including the stereo pair, the source product ID is the image observation ID

and the DTM PDS ID.

Also, we will soon be adding color orthoimages to the final set of output products. These are 3 band images (IRB), but otherwise are

very similar to the RED orthoimages. 

Let me know what further details or inputs you need.

Thank you!

Sarah

Related issues:

Related to ISIS - Crash #617: hidtmgen cannot handle less than 4 orthoimages Closed

History

#2 - 2013-08-15 10:41 AM - Anonymous

- Target version deleted (150)

#3 - 2014-09-25 11:44 AM - Jean Backer

- Assignee set to Jean Backer

#4 - 2014-10-08 11:34 AM - Jean Backer

- Status changed from Acknowledged to In Progress

- Target version set to 3.4.8 (FY15 R1 2014-11-26 Nov)

#5 - 2014-11-21 12:04 PM - Jean Backer

- Target version changed from 3.4.8 (FY15 R1 2014-11-26 Nov) to 3.4.9 (FY15 R2 2015-03-26 Mar)
- % Done changed from 0 to 90

#7 - 2016-03-01 12:54 PM - Jean Backer

- Impact updated

#8 - 2016-04-20 01:23 PM - Tammy Becker

- Status changed from In Progress to Closed

Closed this for Sarah.   Sarah had supplied the test data for internal testing.

#9 - 2016-08-09 07:22 PM - Jean Backer

- Status changed from Closed to In Progress

- Target version changed from 3.4.9 (FY15 R2 2015-03-26 Mar) to 3.4.13 (FY16 R3 2016-08-31 Aug)

from:   Sarah Sutton ssutton@pirl.lpl.arizona.edu

to: "Backer, Jean" jwbacker@usgs.gov

cc: Sarah Sutton ssutton@lpl.arizona.edu, Paul Geissler pgeissler@usgs.gov

date:   Wed, Apr 20, 2016 at 11:34 AM

subject:    Re: ISIS 3.4.12 Public Release 2016/03/16

Hi Jeannie,

Thank you again for making this overhaul to hidtmgen. It is much cleaner and actuallly easier to use. It also seems to be a lot faster!

Here are some notes from my testing so far:

1. Testing different cases of DTM only, ortho only, DTM + extra orthos, all seemed to work fine. Great! 

2. Except… color orthos are not being created as 3-band images, as far as I can tell. They are supposed to be stacked as IR,RED,BG 3-band

image cubes, before being exported to IMG format. Maybe I’m doing something wrong?

3. Testing of defaultnames=true turned up some issues. But setting defaultnames=false and specifying the output gets around this.

The issue is that for the orthos, the SOURCE_PRODUCT_ID is the DTM ID (correct) and the ortho ID (incorrect). The ortho ID should just be the

observation ID (i.e. XSP_00000_0000).

4. The problem of differing planetary radii (when I processed images without using hidtmgen) is resolved! Hooray!

5. Note to self: be careful when constructing the various lists, esp. when defaultnames=false. 

The only items I need some feedback from you are #2 and #3, with #2 being the most urgent.

I haven’t tested every single case and option, but I think I’ve hit the majority of them. Thank you again for getting this out. It will definitely streamline

things for us!

Thank you,

Sarah
#10 - 2016-08-22 06:31 PM - Jean Backer

- Status changed from In Progress to Resolved

#11 - 2016-08-23 04:12 PM - Jean Backer

Jean Backer wrote:

from: Sarah Sutton ssutton@pirl.lpl.arizona.edu

to:   "Backer, Jean" jwbacker@usgs.gov

cc:   Sarah Sutton ssutton@lpl.arizona.edu, Paul Geissler pgeissler@usgs.gov

date: Wed, Apr 20, 2016 at 11:34 AM

1. Except… color orthos are not being created as 3-band images, as far as I can tell. They are supposed to be stacked as IR,RED,BG 3-band

image cubes, before being exported to IMG format. Maybe I’m doing something wrong?

2. Testing of defaultnames=true turned up some issues. But setting defaultnames=false and specifying the output gets around this.

The issue is that for the orthos, the SOURCE_PRODUCT_ID is the DTM ID (correct) and the ortho ID (incorrect). The ortho ID should just

be the observation ID (i.e. XSP_00000_0000).

The only items I need some feedback from you are #2 and #3, with #2 being the most urgent.

I haven’t tested every single case and option, but I think I’ve hit the majority of them. Thank you again for getting this out. It will definitely

streamline things for us!

 

Item #2) This program requires a 3-band cube for color processing.

Item #3) Fix will be available in the next release.

#12 - 2016-08-23 05:41 PM - Tammy Becker

- Status changed from Resolved to Closed

Added Sarah Sutton as a "watcher" and set to Closed.
